package net.shadowfacts.phycon

import net.minecraft.util.Identifier
import net.shadowfacts.phycon.api.PhyConAPI
import net.shadowfacts.phycon.api.PhyConPlugin
import net.shadowfacts.phycon.api.TerminalSettingKey
import net.shadowfacts.phycon.util.SortMode

/**
 * @author shadowfacts
 */
object DefaultPlugin: PhyConPlugin {

	lateinit var SORT_MODE: TerminalSettingKey<SortMode>
		private set

	override fun initializePhyCon(api: PhyConAPI) {
		SORT_MODE = api.registerTerminalSetting(Identifier(PhysicalConnectivity.MODID, "sort"), SortMode.COUNT_HIGH_FIRST)
		SORT_MODE.setPriority(Int.MAX_VALUE)
	}

}
