package net.shadowfacts.phycon.frame

import net.shadowfacts.phycon.api.Interface
import net.shadowfacts.phycon.api.util.IPAddress
import net.shadowfacts.phycon.api.util.MACAddress

/**
 * @author shadowfacts
 */
class ARPQueryFrame(
	val queryIP: IPAddress,
	val sourceIP: IPAddress,
	source: MACAddress,
): BaseFrame(source, MACAddress.BROADCAST) {
}


class ARPResponseFrame(
	val query: IPAddress,
	source: MACAddress,
	destination: MACAddress,
): BaseFrame(source, destination) {
}
