package net.shadowfacts.phycon.packet

import net.shadowfacts.phycon.api.util.IPAddress

/**
 * @author shadowfacts
 */
class RequestInventoryPacket(
        val kind: Kind,
        source: IPAddress,
        destination: IPAddress = IPAddress.BROADCAST
): BasePacket(source, destination) {
    enum class Kind {
        GROUPED, SIDED
    }
}
