package net.shadowfacts.phycon.util

import net.minecraft.text.Text
import net.minecraft.text.TranslatableText

/**
 * @author shadowfacts
 */
enum class ActivationMode: RotatableEnum, FriendlyNameable {
	AUTOMATIC,
	MANAGED;

	override val friendlyName: Text
		get() = TranslatableText("gui.phycon.activation_mode.${name.lowercase()}")
}
