package net.shadowfacts.phycon.packet

import net.shadowfacts.phycon.api.packet.Packet
import net.shadowfacts.phycon.api.util.IPAddress

/**
 * @author shadowfacts
 */
abstract class BasePacket(
	private val source: IPAddress,
	private val destination: IPAddress
): Packet {

	override fun getSource() = source
	override fun getDestination() = destination

}
